# Generated by Django 2.1.3 on 2020-03-19 11:11

import devices.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion



view_signal = 'CREATE OR REPLACE VIEW public.onu_tx_rx_view AS \
            SELECT row_number() OVER () AS id,\
                devices_historicalonu.serial,\
                devices_historicalonu."TX" AS tx,\
                devices_historicalonu."RX" AS rx,\
                devices_historicalonu.modified AS time_tx,\
                devices_historicalonu.modified AS time_rx,\
                date(devices_historicalonu.modified) AS time_date\
            FROM devices_historicalonu\
            ORDER BY (row_number() OVER ())'

view_smoke = 'CREATE OR REPLACE VIEW public.target_smokeping AS \
SELECT row_number() OVER () AS id,\
    ms.title AS title_menu,\
    ms.order_field AS ordenado_por,\
    ipt.title AS title_ipt,\
    ipt.ip,\
    ipt.host,\
    ipt.menu \
FROM devices_menusmokeping_iptable msi \
    JOIN devices_menusmokeping ms ON ms.id = msi.menusmokeping_id \
    JOIN devices_iptable ipt ON ipt.id = msi.iptable_id'


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('utp', '0001_initial'),
        ('devices', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('customers', '0002_auto_20200319_1111'),
    ]

    operations = [
        migrations.AddField(
            model_name='olt',
            name='node',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='utp.Mikrotik'),
        ),
        migrations.AddField(
            model_name='moredetailonus',
            name='onu',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='moredetailolts',
            name='olt',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='menusmokeping',
            name='iptable',
            field=models.ManyToManyField(blank=True, to='devices.IPTable', verbose_name="IP's asociadas"),
        ),
        migrations.RunSQL(view_signal),
        migrations.RunSQL(view_smoke),   
        migrations.AddField(
            model_name='maconus',
            name='onu',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='macolts',
            name='olt',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='logdevice',
            name='olt',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='logdevice',
            name='onu',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='iponus',
            name='ip',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='devices.IPTable'),
        ),
        migrations.AddField(
            model_name='iponus',
            name='onu',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='interfaceolt',
            name='olt',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicalwirelessonus',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalwirelessonus',
            name='onu',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='historicaltypevlan',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalsystemvlan',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalsystemvlan',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.Operator'),
        ),
        migrations.AddField(
            model_name='historicalsystemvlan',
            name='vlan_type',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.TypeVLAN'),
        ),
        migrations.AddField(
            model_name='historicalsystemspeeds',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalstatusonus',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalstatusonus',
            name='onu',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='historicalstatisticsportolt',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalstatisticsportolt',
            name='port',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.PortOLT'),
        ),
        migrations.AddField(
            model_name='historicalsshconnection',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalsshconnection',
            name='olt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicalsshconnection',
            name='onu',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='historicalserviceportonus',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalserviceportonus',
            name='onu',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='historicalserviceportonus',
            name='onu_autofind',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONUAutoFind'),
        ),
        migrations.AddField(
            model_name='historicalserviceporthistorical',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalserviceporthistorical',
            name='model',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ModelDevice'),
        ),
        migrations.AddField(
            model_name='historicalportolt',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalportolt',
            name='interface',
            field=models.ForeignKey(blank=True, db_constraint=False, default=devices.models.get_default_interface, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.InterfaceOLT'),
        ),
        migrations.AddField(
            model_name='historicaloperator',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalonuhistorical',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalonuhistorical',
            name='ip',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.IPTable'),
        ),
        migrations.AddField(
            model_name='historicalonuhistorical',
            name='model',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ModelDevice'),
        ),
        migrations.AddField(
            model_name='historicalonuhistorical',
            name='olt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicalonuhistorical',
            name='onu_origin',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='historicalonuhistorical',
            name='service',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.Service'),
        ),
        migrations.AddField(
            model_name='historicalonuautofind',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalonuautofind',
            name='model',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ModelDevice'),
        ),
        migrations.AddField(
            model_name='historicalonuautofind',
            name='olt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicalonuautofind',
            name='onu_origin',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='historicalonuautofind',
            name='service',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.Service'),
        ),
        migrations.AddField(
            model_name='historicalonu',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalonu',
            name='ip',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.IPTable'),
        ),
        migrations.AddField(
            model_name='historicalonu',
            name='model',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ModelDevice'),
        ),
        migrations.AddField(
            model_name='historicalonu',
            name='olt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicalonu',
            name='service',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.Service'),
        ),
        migrations.AddField(
            model_name='historicaloltvlan',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaloltvlan',
            name='olt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicaloltvlan',
            name='vlan_system',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.SystemVLAN'),
        ),
        migrations.AddField(
            model_name='historicaloltvlan',
            name='vlan_type',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.TypeVLAN'),
        ),
        migrations.AddField(
            model_name='historicaloltuser',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaloltuser',
            name='olt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicaloltspeeds',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaloltspeeds',
            name='olt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicaloltspeeds',
            name='speeds_system',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.SystemSpeeds'),
        ),
        migrations.AddField(
            model_name='historicaloltconnection',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaloltconnection',
            name='olt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicalolt',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalolt',
            name='ip',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.IPTable'),
        ),
        migrations.AddField(
            model_name='historicalolt',
            name='model',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ModelDevice'),
        ),
        migrations.AddField(
            model_name='historicalolt',
            name='node',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Mikrotik'),
        ),
        migrations.AddField(
            model_name='historicalmoredetailonus',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalmoredetailonus',
            name='onu',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='historicalmoredetailolts',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalmoredetailolts',
            name='olt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicalmodeldevice',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalmenusmokeping',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalmaconus',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalmaconus',
            name='onu',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='historicalmacolts',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalmacolts',
            name='olt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicallogdevice',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicallogdevice',
            name='olt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicallogdevice',
            name='onu',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='historicaliptable',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaliponus',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaliponus',
            name='ip',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.IPTable'),
        ),
        migrations.AddField(
            model_name='historicaliponus',
            name='onu',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='historicalinterfaceolt',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalinterfaceolt',
            name='olt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicalfirmwareonus',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalfirmwareonus',
            name='onu',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='historicalethernet',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalethernet',
            name='onu',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='historicalabnormalitiedevice',
            name='abnormalitie',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.Abnormalitie'),
        ),
        migrations.AddField(
            model_name='historicalabnormalitiedevice',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalabnormalitiedevice',
            name='olt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='historicalabnormalitiedevice',
            name='onu',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='historicalabnormalitie',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='firmwareonus',
            name='onu',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='ethernet',
            name='onu',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='devices.ONU'),
        ),
        migrations.AddField(
            model_name='abnormalitiedevice',
            name='abnormalitie',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='devices.Abnormalitie'),
        ),
        migrations.AddField(
            model_name='abnormalitiedevice',
            name='olt',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='devices.OLT'),
        ),
        migrations.AddField(
            model_name='abnormalitiedevice',
            name='onu',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='devices.ONU'),
        ),
        migrations.AlterUniqueTogether(
            name='systemvlan',
            unique_together={('vlan_id', 'vlan_type')},
        ),
        migrations.AlterUniqueTogether(
            name='statusonus',
            unique_together={('uptime', 'created')},
        ),
        migrations.AlterUniqueTogether(
            name='onu',
            unique_together={('alias', 'serial', 'olt'), ('serial', 'olt')},
        ),
        migrations.AlterUniqueTogether(
            name='olt',
            unique_together={('alias', 'ip')},
        ),
     
    ]
